package top.qaqaq.service;

import top.qaqaq.pojo.Book;
import top.qaqaq.pojo.Page;

import java.util.List;

/**
 * @author RichieZhang
 * @create 2022-12-10 下午 7:37
 */
public interface BookService {

    /**
     * 添加图书
     * @param book
     */
    public void addBook(Book book);

    /**
     * 根据图书id删除图书
     * @param id
     */
    public void deleteBookById(Integer id);

    /**
     * 根据图书id更新图书
     * @param book
     */
    public void updateBook(Book book);

    /**
     * 根据图书id查询图书
     * @param id
     * @return
     */
    public Book queryBookById(Integer id);

    /**
     * 查询全部图书
     * @return
     */
    public List<Book> queryBooks();

    /**
     * 图书分页
     * @param pageNo
     * @param pageSize
     * @return
     */
    Page<Book> page(int pageNo, int pageSize);

    /**
     * 按价格查找 图书分页
     * @param pageNo
     * @param pageSize
     * @param min
     * @param max
     * @return
     */
    Page<Book> pageByPrice(int pageNo, int pageSize, int min, int max);
}
