package top.qaqaq.test;

import org.junit.Test;
import top.qaqaq.pojo.Book;
import top.qaqaq.pojo.Page;
import top.qaqaq.service.BookService;
import top.qaqaq.service.impl.BookServiceImpl;

import java.math.BigDecimal;

/**
 * @author RichieZhang
 * @create 2022-12-10 下午 7:45
 */
public class BookServiceTest {

    private BookService bookService = new BookServiceImpl();

    @Test
    public void addBook() {
        bookService.addBook(new Book(null,"你好我好大家好","1125",new BigDecimal(100000),10000000,0,null));
    }

    @Test
    public void deleteBookById() {
        bookService.deleteBookById(22);
    }

    @Test
    public void updateBook() {
        bookService.updateBook(new Book(22,"大家好","1125",new BigDecimal(999999),10,1000000,null));
    }

    @Test
    public void queryBookById() {
        System.out.println(bookService.queryBookById(22));
    }

    @Test
    public void queryBooks() {
        bookService.queryBooks().forEach(System.out::println);
    }

    @Test
    public void page(){
        System.out.println(bookService.page(1, Page.PAGE_SIZE));

    }

    @Test
    public void pageByPrice(){
        System.out.println(bookService.pageByPrice(1, Page.PAGE_SIZE,10,50));

    }
}